<?php
	require_once ('authorize1.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">

<head>
<title>Moreno Travel</title>
<script src="sorttable.js"></script>
    <link href="style.css" rel="stylesheet" type="text/css" />
    <meta http-equiv="content-type"
        content="text/html; charset=utf-8" />



</head>


<?php include 'admin_header.php'; ?>

<h1>Edit Attraction</h1>

<?php

$info_id=$_GET['info_id']; 



function location_dropdown($location_id)
{

	$query = sprintf("SELECT * FROM location ");




	$result = mysql_query($query);


	if (!$result) {

    	$message  = 'Invalid query: ' . mysql_error() . "\n";

    	$message .= 'Whole query: ' . $query;

    	die($message);

	}


echo "<select name='location_id'>";
while ($row = mysql_fetch_assoc($result)) {
	
		echo "\n<option value='" .$row['location_id'] . "'";
		if ($row['location_id']==$location_id) echo " selected "; 
		echo " >" . $row['location_name'] . "</option>" ;

	}	
echo "</select>";
}


require_once('connectvars.php');

	

$dbh = mysql_connect(hostname, username, password)

	or die("Unable to connect to MySQL");

mysql_select_db (dbname, $dbh);


$query = "SELECT * FROM info 
WHERE info_id = $info_id";
$result= mysql_query($query) or die(mysql_error());
$row = mysql_fetch_array ($result) or die(mysql_error());


    echo '<p><strong>Sightseeing ID: </strong>'.$info_id.' - Please edit as required.</p>'; 
       echo '<form method="post" action="admin_editinfoscript.php">';
echo '<input type="hidden" name="info_id" value="'. $row['info_id'].'">';?>

<?php
	location_dropdown($row['location_id']);
?>


<?echo '<br><br>

<strong>Sightseeing Attraction Name:</strong><br>'.'&nbsp;'.'<input size="100" type="text" name="info_name" value="'.$row['info_name'].'" /><br><br><br><br>';
echo '<strong>Details:</strong><br>'.'&nbsp;'.'<textarea cols="110" rows="10" name="info_details">'.$row['info_details'].'</textarea><br><br>';
echo '<strong>Picture:</strong><br><input type="text" size="25" name="info_pic" value="'.$row['info_pic'].'" /><br>
<i><font color="#C11B17" size="0.5px">Enter the name of the file.  Click <a href="admin_infopicturelist.php" target="blank">here</a> to see a list of pictures with filenames.  Click <a href="admin_infouploadimage.php" target="blank">here</a> to upload a new picture.
<br><br><img width="182px" height="158px" src="infoimg/'.$row['info_pic'].'"><br><br>';

  echo '<input type="submit" value="Submit">';
	echo '</form>';
  
 

?>


</ul><br><br><br>
</div>


</div>

</body>

</html>